> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meeamitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Delete a user by ID



## OpenAPI

````yaml DELETE /auth/v1/users/{id}
openapi: 3.1.0
info:
  title: OpenAPI Developer Portal
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-dev.meeamitech.com
security:
  - bearerAuth: []
paths:
  /auth/v1/users/{id}:
    delete:
      description: Delete a user by ID
      parameters:
        - name: id
          in: path
          description: ID of the user to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
              example:
                message: User is Deleted Successfully
components:
  schemas:
    User:
      required:
        - firstName
        - lastName
        - email
        - password
      type: object
      properties:
        firstName:
          description: The first name of the user
          type: string
        lastName:
          description: The last name of the user
          type: string
        email:
          description: The email of the user
          type: string
        password:
          description: The password of the user
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````